SBUILD-QEMU-BOOT(1)

NAME
sbuild-qemu-boot - Boot a VM using a QEMU image

SYNOPSIS
sbuild-qemu-boot [-h] [--read-write] [--snapshot] [--shared-dir] [--arch=ARCH] [--ram-size=MiB] [--cpus=CPUs] [--ssh-port=PORT] [--noexec] IMAGE

DESCRIPTION
sbuild-qemu-boot boots a QEMU VM using IMAGE into a console. The image is in read-only mode by default, as the goal is to support experimentation.

The architecture is auto-guessed by stripping any file suffix and then splitting the image name on dashes ``-'', and finally by looking for a Debian architecture name. sid-amd64.img, amd64-temporary.image or even just amd64 would all be assumed to be amd64 images, but not amd64.rebuild-tests.img. If this guesses wrong, use the --arch option.

Note that you might need to invoke stty(1) within the VM to match your host terminal's settings.

OPTIONS

-h, --help
    Show this help message and exit.

--read-write
    Write changes back to the image, instead of using the image in read-only mode.

--snapshot
    Create a snapshot of the image before changing it. Useful for reproducibility purposes. Ignored if the image is not booted in read-write mode, which is the default.

--shared-dir
    Share this directory on the host with the guest. This will only work when the image was created with sbuild-qemu-create(1).

--arch=ARCH
    Architecture to use (instead of attempting to auto-guess).

--ram-size=MiB
    VM memory size in MB. Default: 2048

--cpus=CPUs
    VM CPU count. Default: 2

--ssh-port=PORT
    Forward local port PORT to port 22 within the guest. Package openssh-server must be installed within the guest for this to be useful.

--boot=auto,bios,efi,ieee1275,none
    How to boot the image. Default is BIOS on amd64 and i386, EFI on arm64 and armhf, and IEEE1275 on ppc64el.

--noexec
    Don't actually do anything. Just print the command string that would be executed, and then exit.

EXAMPLES
$ sbuild-qemu-boot --shared-dir /tmp/foo unstable-autopkgtest-amd64.img

This will update the image unstable-autopkgtest-amd64.img in the current directory. If no such file exists there, then $IMAGEDIR/unstable-autopkgtest-amd64.img is tried.

ENVIRONMENT
If $IMAGEDIR is unset, then ~/.cache/sbuild is used.

COPYRIGHT
Copyright © 2020-2022 Christian Kastner <ckk@debian.org>

SEE ALSO
sbuild(1), sbuild-qemu(1), sbuild-qemu-create(1).